org.apache.xerces.impl.xs

## Class XMLAssertXPath2EngineImpl

- java.lang.Object
- - org.apache.xerces.impl.xs.assertion.XSAssertionXPath2ValueImpl
  - - org.apache.xerces.impl.xs.assertion.XMLAssertAdapter
    - - org.apache.xerces.impl.xs.XMLAssertXPath2EngineImpl

- All Implemented Interfaces:
    XMLAssertHandler, XSAssertionXPath2Value

      public class XMLAssertXPath2EngineImpl
      extends XMLAssertAdapter

  A class implementing an XPath interface for XML Schema 1.1 "assertions" evaluation. This class interfaces with the "XPath 2.0" engine (https://www.eclipse.org/webtools) for XPath expression evaluations for XSD assertions. An instance of this class constructs Xerces PSVI enabled DOM trees (which are in-memory XDM representation for XPath 2.0 engine) from XNI event calls. XSD assertions are evaluated on these PSVI XDM instances in a bottom up fashion.
  Version:
    $Id: XMLAssertXPath2EngineImpl.java 1896836 2022-01-08 12:55:20Z mukulg $
  Author:
    Mukul Gandhi, IBM, Ken Cai, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLAssertXPath2EngineImpl(java.util.Map assertParams)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(org.apache.xerces.xni.XMLString text)`
    `void` | `comment(org.apache.xerces.xni.XMLString text)`
    `void` | `endElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs)`
    `void` | `processingInstruction(java.lang.String target, org.apache.xerces.xni.XMLString data)`
    `void` | `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)`

    - ### Methods inherited from class org.apache.xerces.impl.xs.assertion.XMLAssertAdapter

      `getProperty, setProperty`

    - ### Methods inherited from class org.apache.xerces.impl.xs.assertion.XSAssertionXPath2ValueImpl

      `getStringValueOf$value, setXDMTypedValueOf$value, setXDMTypedValueOf$valueForSTVarietyAtomic, setXDMTypedValueOf$valueForSTVarietyList, setXDMTypedValueOf$valueForSTVarietyUnion, setXDMValueOf$valueForCTWithSimpleContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xerces.impl.xs.assertion.XSAssertionXPath2Value

      `getStringValueOf$value, setXDMTypedValueOf$value, setXDMTypedValueOf$valueForSTVarietyAtomic, setXDMTypedValueOf$valueForSTVarietyList, setXDMTypedValueOf$valueForSTVarietyUnion`

- - ### Constructor Detail

    - #### XMLAssertXPath2EngineImpl

          public XMLAssertXPath2EngineImpl(java.util.Map assertParams)

  - ### Method Detail

    - #### startElement

          public void startElement(org.apache.xerces.xni.QName element,
                          org.apache.xerces.xni.XMLAttributes attributes,
                          org.apache.xerces.xni.Augmentations augs)
                            throws java.lang.Exception

      Specified by:
        `startElement` in interface `XMLAssertHandler`
      Overrides:
        `startElement` in class `XMLAssertAdapter`
      Throws:
        `java.lang.Exception`

    - #### endElement

          public void endElement(org.apache.xerces.xni.QName element,
                        org.apache.xerces.xni.Augmentations augs)
                          throws java.lang.Exception

      Specified by:
        `endElement` in interface `XMLAssertHandler`
      Overrides:
        `endElement` in class `XMLAssertAdapter`
      Throws:
        `java.lang.Exception`

    - #### comment

          public void comment(org.apache.xerces.xni.XMLString text)

      Specified by:
        `comment` in interface `XMLAssertHandler`
      Overrides:
        `comment` in class `XMLAssertAdapter`

    - #### processingInstruction

          public void processingInstruction(java.lang.String target,
                                   org.apache.xerces.xni.XMLString data)

      Specified by:
        `processingInstruction` in interface `XMLAssertHandler`
      Overrides:
        `processingInstruction` in class `XMLAssertAdapter`

    - #### characters

          public void characters(org.apache.xerces.xni.XMLString text)

      Specified by:
        `characters` in interface `XMLAssertHandler`
      Overrides:
        `characters` in class `XMLAssertAdapter`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.